/* BASE STYLES */
body {
  height: 100vh;
}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.sticky-top {
  z-index: 300 !important
}

.header-soc {
  margin-right: 5px;
}

.footer-soc {
  max-width: 25px;
}

.bg-light {
    position: fixed;
    width: 100%;
}

.primary-header {
  margin-top: 30px;
  margin-bottom: 10px;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}

.secondary-header {
  font-size: 22px;
  text-align: center;
  font-weight: 700;
  margin-bottom: 1rem;
}

.navbar-light .navbar-nav a, sl-menu a {
  text-decoration: none;
  font-size: 16px;
  font-weight: 600;
  padding-right: .5rem;
  padding-left: .5rem;
}

sl-button {
  padding: 0 !important;
  transition-duration: 0.4s;
}

sl-button:not([disabled]):hover {
  box-shadow: inset 4px 4px rgba(0,0,0,0.6), 0 5px 8px 0 rgba(0,0,0,0.6)
}

nav sl-button {
  margin-left: 5px;
  margin-right: 5px;
}

.navbar-toggler {
  border: 0;
  padding: 0;
}

#page {
  margin-top: 65px;
}

footer {
  width: 100%;
  color: white;
  text-align: center;
  margin-top: auto;
}

.footer-copyright {
  text-align: left;
  color: white;
}

/* HOME PAGE STYLES */
.background-img {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.col-lg-4, .col-md-6, .col-sm-12 {
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
}

.hero-text {
  text-align: left;
  color: white;
}

.business-name {
  font-size: 25px;
  font-weight: 600;
}

.hr-style {
  max-width: 50px;
  margin: 1rem 0px;
  opacity: 1
}

.business-description {
  font-weight: 700;
  margin-bottom: 22px;
}

.hero-text sl-button {
  padding: 1rem 0rem;
  color: white;
  cursor: pointer;
  border-radius: 5px;
}

.contact-card {
  display: grid;
  gap: 10px;
  margin-bottom: 10px;
}

#state-group {
  margin-bottom: 0;
}

.h-captcha {
  margin: 10px 0px
}

.main-service {
  margin-top: 30px;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
}

.services {
  display: grid;
  margin: 0 auto;
  color: white;
}

.service-card::part(base), .footer-services {
  color: white;
}

.service-card::part(body) {
  height: 370px;
  overflow: hidden;
}

.search-result.service-card::part(body) {
  height: 220px !important;
}

.service-card a, .footer-services a {
  text-decoration: none;
  color: white;
}

.service-card a, .service-card h5, .service-card h2 {
  text-align: center;
}

.service-card .service-link:hover, sl-menu a:hover, .footer-services .service-link:hover {
  text-decoration: underline;
}

.service-card a:not(.service-link) {
  pointer-events: none;
  cursor: default;
}

.individual-page-section {
  margin-top: 20px;
  margin-bottom: 20px;
}

.individual-page-content {
  display: flex;
  gap: 20px;

}

.individual-page-content img {
  width: 100%;
}

.individual-page-content-image {
  flex: 1;
}

.individual-page-content-image img {
  height: 100%;
  width: 100%;
  object-fit: contain;
}

.individual-page-content.many-words .individual-page-content-text {
  flex: 3;
}

.individual-page-content.few-words .individual-page-content-text {
  flex: 2;
}

.individual-page-content.few-words .individual-page-content-image img {
  object-position: left;
}

.individual-page-content-image, .individual-page-content-text {
  position: relative;
}

.forced-single-grid {
  gap: 0 !important;
}

.forced-single-grid .individual-page-content-image {
  flex: 0;
}

.home-card {
  margin: 20px 0px;
}

.home-card::part(base) {
  background-color: #eff1f0;
}

.home-card::part(body) {
  padding: 0;
}

.card-content {
  display: grid;
  gap: 10px;
}

.card-content img {
  width: 100%;
  height: 100%;
}

.card-text {
  padding: 20px;
}

.why-choose-us {
  padding: 3rem 30px;
  padding-top: 10px;
  margin-top: 3rem;
  background-color: #eff1f0;
}

sl-option {
  z-index: 500
}

sl-dialog a {
  text-decoration: none;
}

sl-dialog a:hover {
  text-decoration: underline;
}

sl-carousel {
  --aspect-ratio: unset !important;
  margin: 30px 0;
}

#inquiries {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

.inquiry-button {
  margin: 20px;
}

h1 {
  margin-top: 20px;
}

@media (min-width: 0px) {
  .background-img {
    height: 1090px;
  }

  .hero-text {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
  }

  .business-name {
    padding-top: 0;
  }

  .business-description {
    font-size: 23px;
  }
  
  .main-service {
    font-size: 35px;
  }

  .primary-header {
    font-size: 25px;
  }

  .contact-card, .services, .card-content {
    grid-template-columns: 1fr;
  }

  .individual-page-content {
    flex-direction: column;
  }

  .individual-page-content-image img {
    position: relative;
  }

  .services {
    gap: 20px;
    width: 75%;
  }

  .customer-carousel {
    width: 95%;
  }

  .full-contact-form {
    margin-left: auto !important;
    margin-right: auto !important;
    width: 400px
  }

  .customer-icon {
    width: 80px !important;
    height: 80px !important;
    border-radius: 50%;
  }

  sl-carousel-item p {
    margin-top: 0.75rem;
    font-size: 0.95rem;
  }

  sl-carousel-item h5 {
    text-align: center;
    font-size: 20px;
    font-weight: 600;
  }

  sl-carousel-item h6 {
    text-align: center;
    font-size: 0.95rem;
    font-weight: 400;
  }
}

@media (min-width: 768px) {

  .business-name {
    padding-top: 2rem;
  }

  .business-description {
    font-size: 27px;
  }

  .main-service {
    font-size: 70px;
  }

  .primary-header {
    font-size: 40px;
  }

  .contact-card, .card-content {
    grid-template-columns: 1fr 1fr;
  }

  .customer-carousel {
    width: 70%
  }

  .full-contact-form {
    width: 500px;
  }

  .customer-icon {
    width: 100px !important;
    height: 100px !important;
  }

  sl-carousel-item p {
    font-size: 1rem;
  }

  sl-carousel-item h5 {
    font-size: 22px;
  }

  sl-carousel-item h6 {
    font-size: 1rem;
  }
}

@media (min-width: 992px) {
  .background-img {
    height: 680px;
  }

  .hero-text {
    width: auto;
    margin-left: 0;
    margin-right: 0;
  }

  .business-description {
    font-size: 35px;
  }

  .full-contact-form {
    margin-left: 0 !important;
    margin-right: 0 !important;
    width: min-content;
  }

  .individual-page-content:not(.few-words):has(.reverse-order) {
    flex-direction: row-reverse;
  }

  .individual-page-content {
    flex-direction: row;
  }

  .individual-page-section h2 {
    font-size: 25px;
  }

  .individual-page-content-text p, .individual-page-content-text li {
    font-size: 18px;
  }

  .individual-page-content-image img {
    position: absolute;
  }

  .services {
    gap: 40px;
    width: 65%;
    grid-template-columns: 1fr 1fr 1fr;
  }

}


/* PUBLIC SITE STYLES */

#public-page {
  margin-top: 45px;
  padding: 30px;
  text-align: center
}

#public-page table *, #public-page ul *, #public-page p, #public-page h2, #public-page h3 {
  text-align: left;
}

#public-page h3 {
  margin-top: 20px;
}

#public-page img {
  width: 50%;
  margin-top: 20px;
  margin-bottom: 20px;
}


.domains-table {
  border-collapse: collapse;
  width: 100%;
}

.domains-table td, .domains-table th {
  border: 1px solid #dddddd;
  padding: 8px;
}

.domains-table tr:nth-child(even) {
  background-color: #eeeeee;
}

.domains-table td a:not(:first-child) {
  border-left: 1px solid #000000;
  padding-left: 10px;
}

.domains-table a {
  margin-right: 5px;
}